Skip to main content
POST
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
preview
cURL
curl --request POST \
  --url https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/preview \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rev": "<string>",
  "force": true
}
'
{
  "components": [
    {
      "component": "<string>",
      "healthy": true
    }
  ],
  "rev": "<string>",
  "slug": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "project_id": 123,
  "status": "starting",
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
project_id
string
required

Body

application/json
rev
string
required

Git branch name to run the preview for (for example main).

force
boolean

If true and the org preview concurrency cap is reached, evict the oldest running (or in-flight) preview in the org to free a slot instead of returning 429. Defaults to false.

Response

Preview starting or already running

components
object[]
required
rev
string
required

Git branch name this preview is tied to.

slug
string
required

Opaque token used with your organization’s preview hostname.

started_at
string<date-time>
required

UTC timestamp when acceptance of the preview start was recorded.

project_id
integer<int64> | null

Included on organization-wide preview listings so you can tell which project a row belongs to.

status
null | enum<string>
Available options:
starting,
running
url
string | null

Public HTTPS URL for the running preview, when preview hosting is configured for your organization.